petsc-3.4.2 2013-07-02

# SNESLineSearchPreCheckFunction

functional form passed to check before line search is called

### Synopsis

    #include "petscsnes.h"
    SNESLineSearchPreCheckFunction(SNESLineSearch snes,Vec x,Vec y, PetscBool *changed);

### Input Parameters

| x | - solution vector
| y | - search direction vector
| changed | - flag to indicate the precheck changed x or y.

### See Also

SNESLineSearchSetPreCheck(), SNESLineSearchSetPostCheck()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages